Dashboard reporting incorrect PHP version - its up to date!

Need help with the Administration of your Joomla! 4.x site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
Parkfield
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Apr 14, 2024 12:42 pm

Dashboard reporting incorrect PHP version - its up to date!

Post by Parkfield » Sun Apr 14, 2024 12:49 pm

Hi,

Not sure what help anybody can give but I keep receiving a PHP warning in dashboard telling me:

"Your PHP version "8.0.30" is lower than "8.1.0"

It isn't, the server is running PHP 8.3 and I've verified this using phpinfo.php as well. The hosts are saying this is an error within Joomla, but I've completed all updates (but not to Joomla 5 - it won't let me anyway due to the php error) and there's no change whatsoever.

Has anybody got any suggestions please, thank you in advance?

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 17503
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by toivo » Sun Apr 14, 2024 1:12 pm

Welcome to the Joomla forum!

When you ran the script phpinfo.php, was it run from the main Joomla folder, the same folder where the file configuration.php is located?
Toivo Talikka, Global Moderator

Parkfield
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Apr 14, 2024 12:42 pm

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by Parkfield » Sun Apr 14, 2024 2:31 pm

toivo wrote:
Sun Apr 14, 2024 1:12 pm
Welcome to the Joomla forum!

When you ran the script phpinfo.php, was it run from the main Joomla folder, the same folder where the file configuration.php is located?
Yes I did and thank you for the welcome. The phpinfo.php script is in the same folder as the joomla site and it was set at 8.2 until this morning and then I upgraded it to 8.3 in the hosting cpanel after my dashboard showed it as 8.0.3 which it's not been for longer than i can remember.

I've also checked the htaccess file and there's no direct to the lower php.

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 31038
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by Per Yngve Berg » Sun Apr 14, 2024 5:19 pm

What is the version string reported by php.info? It may not be properly formatted, so its interpreted as 8.0.3. That is an issue with the Linux Distro used on the server.

Parkfield
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Apr 14, 2024 12:42 pm

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by Parkfield » Mon Apr 15, 2024 5:19 am


User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 9842
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by AMurray » Mon Apr 15, 2024 8:30 am

yep, phpinfo says PHP 8.3.2.

Can you provide the Forum Post Assistant Report (https://forumpostassistant.github.io/docs/).

I'm curious as to what it will say as I assume it pulls the PHP version information from the same place the phpinfo does. If the FPA reports conflicting information (i.e only reports PHP 8.0.x) go back to your web host support,with both sets of information, FPA, and PHP info, and ask them which is correct.
Regards - A Murray
General Support Moderator

Parkfield
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Apr 14, 2024 12:42 pm

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by Parkfield » Mon Apr 15, 2024 10:18 am

AMurray wrote:
Mon Apr 15, 2024 8:30 am
yep, phpinfo says PHP 8.3.2.

Can you provide the Forum Post Assistant Report (https://forumpostassistant.github.io/docs/).
Im not familiar with that, will take a look into what I need to do with it this evening, I guess it’s a tool I have to install?

User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 9842
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by AMurray » Mon Apr 15, 2024 9:31 pm

Read the instructions. FPA is linked in the prominent red box at the top of the forum page: "If are serious about wanting help you will use this to help you post".

Upload one file, and run it in your browser. It's not a Joomla extension. It diagnoses your Joomla site and generates a report, in BBCode, that you can post to this forum, it just gives handy technical information the volunteers here can review and advise what the problem is with your site. All we essentially need to know in this case, is why, as per your original question, Joomla is saying "PHP is out of date" where your phpinfo scrip says it is v8.3.2.
Regards - A Murray
General Support Moderator

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 44137
Joined: Sat Apr 05, 2008 9:58 pm

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by Webdongle » Mon Apr 15, 2024 10:12 pm

run the php.info in the /administrator folder. What does it say then?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
brian
Joomla! Master
Joomla! Master
Posts: 12804
Joined: Fri Aug 12, 2005 7:19 am
Location: Leeds, UK
Contact:

Re: Dashboard reporting incorrect PHP version - its up to date!

Post by brian » Tue Apr 16, 2024 6:41 pm

the phpinfo script is exactly the same code that is used internally on your joomla site to determine the version. On some web servers, either due to poor configuration or a php.ini file in the /administrator foler or an .htacces file in the administrator folder then a different version of php will be instructed to load

This is almost certainly your case.
Do as @webdongle states and you will see that your web server (not joomla) is using and therefore reporting a different version of php than the root folder of your hosting
"Exploited yesterday... Hacked tomorrow"
Blog http://brian.teeman.net/
Joomla Hidden Secrets http://hiddenjoomlasecrets.com/


Post Reply

Return to “Administration Joomla! 4.x”